Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: firmware::Firmware Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
firmware::Firmware Interface Reference

Firmware management methods More...

`import <Firmware.idl;`

## Classes
struct | Info
| Firmware information More...

## Public Member Functions
Info | getInfo ()
| Retrieve the firmware information.
void | reboot ()
| Reboot the device.
void | factoryReset ()
| Reset the device configuration to factory defaults.
int | hardFactoryReset ()
| Reset all device data to factory defaults.
int | manufacturingReset ()
| Semi-hard factory reset for manufacturing.
string | getVersion ()
| Returns the currently installed firmware version.
vector< UpdateHistoryEntry > | getUpdateHistory ()
| Fetch the firmware update history.
ImageStatus | getImageStatus ()
| Get the current firmware image upload/download status.
void | discardImage ()
| Discard the currently uploaded firmware image, cancel the update.
boolean | getImageInfo (out ImageInfo info)
| Return information about a currently uploaded firmware image.
void | startUpdate (in vector< UpdateFlags > flags)
| Launch the firmware update process.

## Detailed Description

Firmware management methods

Definition at line 121 of file Firmware.idl.

## Member Function Documentation

## ◆ getImageInfo()

boolean firmware::Firmware::getImageInfo | ( | out ImageInfo | info | ) |

Return information about a currently uploaded firmware image.

Parameters

  info | Firmware image information

Returns
  `true` if a firmware image is uploaded, `false` otherwise.

## ◆ getImageStatus()

ImageStatus firmware::Firmware::getImageStatus | ( |  | ) |

Get the current firmware image upload/download status.

Returns
  Image status structure.

## ◆ getInfo()

Info firmware::Firmware::getInfo | ( |  | ) |

Retrieve the firmware information.

Returns
  Firmware information

## ◆ getUpdateHistory()

vector< UpdateHistoryEntry > firmware::Firmware::getUpdateHistory | ( |  | ) |

Fetch the firmware update history.

Returns
  Vector of firmware update history entries

## ◆ getVersion()

string firmware::Firmware::getVersion | ( |  | ) |

Returns the currently installed firmware version.

Returns
  Firmware version

## ◆ hardFactoryReset()

int firmware::Firmware::hardFactoryReset | ( |  | ) |

Reset all device data to factory defaults.

This includes energy counters, firmware update history and reliability data.

Note
  This command is only available during manufacturing!

Returns
  0 if OK
  1 if not in production mode

## ◆ manufacturingReset()

int firmware::Firmware::manufacturingReset | ( |  | ) |

Semi-hard factory reset for manufacturing.

This command clears both the user and system configuration layer, but keeps the ETO cache and subcontroller security association.

Note
  This command is only available during manufacturing!

Returns
  0 if OK
  1 if not in production mode

## ◆ reboot()

void firmware::Firmware::reboot | ( |  | ) |

Reboot the device.

This function will fail if a firmware update is in progress.

## ◆ startUpdate()

void firmware::Firmware::startUpdate | ( | in vector< UpdateFlags > | flags | ) |

Launch the firmware update process.

The device will stop handling RPC requests shortly after this method has been successfully called. The client should poll the fwupdate_progress.cgi page to monitor the update progress.

Parameters

  flags | List of firmware update flags; may be empty

The documentation for this interface was generated from the following file:

- Firmware.idl